Index: src/config.cpp
===================================================================
--- src/config.cpp	(revision 8c54a3b5f6bdf770309a91dff75fb62f47d91b6d)
+++ src/config.cpp	(revision 0dbddc24a89f547aa564634e7647f87ec8ce9700)
@@ -980,102 +1265,125 @@
 bool config::Save(const char *filename, periodentafel *periode, molecule *mol) const
 {
-	bool result = true;
-	// bring MaxTypes up to date
-	mol->CountElements();
-	ofstream *output = NULL;
-	output = new ofstream(filename, ios::out);
-	if (output != NULL) {
-		*output << "# ParallelCarParinello - main configuration file - created with molecuilder" << endl;
-		*output << endl;
-		*output << "mainname\t" << config::mainname << "\t# programm name (for runtime files)" << endl;
-		*output << "defaultpath\t" << config::defaultpath << "\t# where to put files during runtime" << endl;
-		*output << "pseudopotpath\t" << config::pseudopotpath << "\t# where to find pseudopotentials" << endl;
-		*output << endl;
-		*output << "ProcPEGamma\t" << config::ProcPEGamma << "\t# for parallel computing: share constants" << endl;
-		*output << "ProcPEPsi\t" << config::ProcPEPsi << "\t# for parallel computing: share wave functions" << endl;
-		*output << "DoOutVis\t" << config::DoOutVis << "\t# Output data for OpenDX" << endl;
-		*output << "DoOutMes\t" << config::DoOutMes << "\t# Output data for measurements" << endl;
-		*output << "DoOutOrbitals\t" << config::DoOutOrbitals << "\t# Output all Orbitals" << endl;
-		*output << "DoOutCurr\t" << config::DoOutCurrent << "\t# Ouput current density for OpenDx" << endl;
-		*output << "DoOutNICS\t" << config::DoOutNICS << "\t# Output Nucleus independent current shieldings" << endl;
-		*output << "DoPerturbation\t" << config::DoPerturbation << "\t# Do perturbation calculate and determine susceptibility and shielding" << endl;
-		*output << "DoFullCurrent\t" << config::DoFullCurrent << "\t# Do full perturbation" << endl;
-		*output << "CommonWannier\t" << config::CommonWannier << "\t# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center" << endl;
-		*output << "SawtoothStart\t" << config::SawtoothStart << "\t# Absolute value for smooth transition at cell border " << endl;
-		*output << "VectorPlane\t" << config::VectorPlane << "\t# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot" << endl;
-		*output << "VectorCut\t" << config::VectorCut << "\t# Cut plane axis value" << endl;
-		*output << "AddGramSch\t" << config::UseAddGramSch << "\t# Additional GramSchmidtOrtogonalization to be safe" << endl;
-		*output << "Seed\t\t" << config::Seed << "\t# initial value for random seed for Psi coefficients" << endl;
-		*output << endl;
-		*output << "MaxOuterStep\t" << config::MaxOuterStep << "\t# number of MolecularDynamics/Structure optimization steps" << endl;
-		*output << "Deltat\t" << config::Deltat << "\t# time per MD step" << endl;
-		*output << "OutVisStep\t" << config::OutVisStep << "\t# Output visual data every ...th step" << endl;
-		*output << "OutSrcStep\t" << config::OutSrcStep << "\t# Output \"restart\" data every ..th step" << endl;
-		*output << "TargetTemp\t" << config::TargetTemp << "\t# Target temperature" << endl;
-		*output << "MaxPsiStep\t" << config::MaxPsiStep << "\t# number of Minimisation steps per state (0 - default)" << endl;
-		*output << "EpsWannier\t" << config::EpsWannier << "\t# tolerance value for spread minimisation of orbitals" << endl;
-		*output << endl;
-		*output << "# Values specifying when to stop" << endl;
-		*output << "MaxMinStep\t" << config::MaxMinStep << "\t# Maximum number of steps" << endl;
-		*output << "RelEpsTotalE\t" << config::RelEpsTotalEnergy << "\t# relative change in total energy" << endl;
-		*output << "RelEpsKineticE\t" << config::RelEpsKineticEnergy << "\t# relative change in kinetic energy" << endl;
-		*output << "MaxMinStopStep\t" << config::MaxMinStopStep << "\t# check every ..th steps" << endl;
-		*output << "MaxMinGapStopStep\t" << config::MaxMinGapStopStep << "\t# check every ..th steps" << endl;
-		*output << endl;
-		*output << "# Values specifying when to stop for INIT, otherwise same as above" << endl;
-		*output << "MaxInitMinStep\t" << config::MaxInitMinStep << "\t# Maximum number of steps" << endl;
-		*output << "InitRelEpsTotalE\t" << config::InitRelEpsTotalEnergy << "\t# relative change in total energy" << endl;
-		*output << "InitRelEpsKineticE\t" << config::InitRelEpsKineticEnergy << "\t# relative change in kinetic energy" << endl;
-		*output << "InitMaxMinStopStep\t" << config::InitMaxMinStopStep << "\t# check every ..th steps" << endl;
-		*output << "InitMaxMinGapStopStep\t" << config::InitMaxMinGapStopStep << "\t# check every ..th steps" << endl;
-		*output << endl;
-		*output << "BoxLength\t\t\t# (Length of a unit cell)" << endl;
-		*output << mol->cell_size[0] << "\t" << endl;
-		*output << mol->cell_size[1] << "\t" << mol->cell_size[2] << "\t" << endl;
-		*output << mol->cell_size[3] << "\t" << mol->cell_size[4] << "\t" << mol->cell_size[5] << "\t" << endl;
-		// FIXME
-		*output << endl;
-		*output << "ECut\t\t" << config::ECut << "\t# energy cutoff for discretization in Hartrees" << endl;
-		*output << "MaxLevel\t" << config::MaxLevel << "\t# number of different levels in the code, >=2" << endl;
-		*output << "Level0Factor\t" << config::Lev0Factor << "\t# factor by which node number increases from S to 0 level" << endl;
-		*output << "RiemannTensor\t" << config::RiemannTensor << "\t# (Use metric)" << endl;
-		switch (config::RiemannTensor) {
-			case 0: //UseNoRT
-				break;
-			case 1: // UseRT
-				*output << "RiemannLevel\t" << config::RiemannLevel << "\t# Number of Riemann Levels" << endl;
-				*output << "LevRFactor\t" << config::LevRFactor << "\t# factor by which node number increases from 0 to R level from" << endl;
-				break;
-		}
-		*output << "PsiType\t\t" << config::PsiType << "\t# 0 - doubly occupied, 1 - SpinUp,SpinDown" << endl;
-		// write out both types for easier changing afterwards
-	//	switch (PsiType) {
-	//		case 0:
-				*output << "MaxPsiDouble\t" << config::MaxPsiDouble << "\t# here: specifying both maximum number of SpinUp- and -Down-states" << endl;
-	//			break;
-	//		case 1:
-				*output << "PsiMaxNoUp\t" << config::PsiMaxNoUp << "\t# here: specifying maximum number of SpinUp-states" << endl;
-				*output << "PsiMaxNoDown\t" << config::PsiMaxNoDown << "\t# here: specifying maximum number of SpinDown-states" << endl;
-	//			break;
-	//	}
-		*output << "AddPsis\t\t" << config::AddPsis << "\t# Additional unoccupied Psis for bandgap determination" << endl;
-		*output << endl;
-		*output << "RCut\t\t" << config::RCut << "\t# R-cut for the ewald summation" << endl;
-		*output << "StructOpt\t" << config::StructOpt << "\t# Do structure optimization beforehand" << endl;
-		*output << "IsAngstroem\t" << config::IsAngstroem << "\t# 0 - Bohr, 1 - Angstroem" << endl;
-		*output << "RelativeCoord\t" << config::RelativeCoord << "\t# whether ion coordinates are relative (1) or absolute (0)" << endl;
-		*output << "MaxTypes\t" << mol->ElementCount <<	"\t# maximum number of different ion types" << endl;
-		*output << endl;
-		result = result && mol->Checkout(output);
-		if (mol->MDSteps <=1 )
-			result = result && mol->Output(output);
-		else
-			result = result && mol->OutputTrajectories(output);
-		output->close();
-		output->clear();
-		delete(output);
-		return result;
-	} else
-		return false;
+  bool result = true;
+  // bring MaxTypes up to date
+  mol->CountElements();
+  ofstream *output = NULL;
+  output = new ofstream(filename, ios::out);
+  if (output != NULL) {
+    *output << "# ParallelCarParinello - main configuration file - created with molecuilder" << endl;
+    *output << endl;
+    *output << "mainname\t" << config::mainname << "\t# programm name (for runtime files)" << endl;
+    *output << "defaultpath\t" << config::defaultpath << "\t# where to put files during runtime" << endl;
+    *output << "pseudopotpath\t" << config::pseudopotpath << "\t# where to find pseudopotentials" << endl;
+    *output << endl;
+    *output << "ProcPEGamma\t" << config::ProcPEGamma << "\t# for parallel computing: share constants" << endl;
+    *output << "ProcPEPsi\t" << config::ProcPEPsi << "\t# for parallel computing: share wave functions" << endl;
+    *output << "DoOutVis\t" << config::DoOutVis << "\t# Output data for OpenDX" << endl;
+    *output << "DoOutMes\t" << config::DoOutMes << "\t# Output data for measurements" << endl;
+    *output << "DoOutOrbitals\t" << config::DoOutOrbitals << "\t# Output all Orbitals" << endl;
+    *output << "DoOutCurr\t" << config::DoOutCurrent << "\t# Ouput current density for OpenDx" << endl;
+    *output << "DoOutNICS\t" << config::DoOutNICS << "\t# Output Nucleus independent current shieldings" << endl;
+    *output << "DoPerturbation\t" << config::DoPerturbation << "\t# Do perturbation calculate and determine susceptibility and shielding" << endl;
+    *output << "DoFullCurrent\t" << config::DoFullCurrent << "\t# Do full perturbation" << endl;
+    *output << "DoConstrainedMD\t" << config::DoConstrainedMD << "\t# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD" << endl;
+    *output << "Thermostat\t" << ThermostatNames[Thermostat] << "\t";
+    switch(Thermostat) {
+      default:
+      case None:
+        break;
+      case Woodcock:
+        *output << ScaleTempStep;
+        break;
+      case Gaussian:
+        *output << ScaleTempStep;
+        break;
+      case Langevin:
+        *output << TempFrequency << "\t" << alpha;
+        break;
+      case Berendsen:
+        *output << TempFrequency;
+        break;
+      case NoseHoover:
+        *output << HooverMass;
+        break;
+    };
+    *output << "\t# Which Thermostat and its parameters to use in MD case." << endl;
+    *output << "CommonWannier\t" << config::CommonWannier << "\t# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center" << endl;
+    *output << "SawtoothStart\t" << config::SawtoothStart << "\t# Absolute value for smooth transition at cell border " << endl;
+    *output << "VectorPlane\t" << config::VectorPlane << "\t# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot" << endl;
+    *output << "VectorCut\t" << config::VectorCut << "\t# Cut plane axis value" << endl;
+    *output << "AddGramSch\t" << config::UseAddGramSch << "\t# Additional GramSchmidtOrtogonalization to be safe" << endl;
+    *output << "Seed\t\t" << config::Seed << "\t# initial value for random seed for Psi coefficients" << endl;
+    *output << endl;
+    *output << "MaxOuterStep\t" << config::MaxOuterStep << "\t# number of MolecularDynamics/Structure optimization steps" << endl;
+    *output << "Deltat\t" << config::Deltat << "\t# time per MD step" << endl;
+    *output << "OutVisStep\t" << config::OutVisStep << "\t# Output visual data every ...th step" << endl;
+    *output << "OutSrcStep\t" << config::OutSrcStep << "\t# Output \"restart\" data every ..th step" << endl;
+    *output << "TargetTemp\t" << config::TargetTemp << "\t# Target temperature" << endl;
+    *output << "MaxPsiStep\t" << config::MaxPsiStep << "\t# number of Minimisation steps per state (0 - default)" << endl;
+    *output << "EpsWannier\t" << config::EpsWannier << "\t# tolerance value for spread minimisation of orbitals" << endl;
+    *output << endl;
+    *output << "# Values specifying when to stop" << endl;
+    *output << "MaxMinStep\t" << config::MaxMinStep << "\t# Maximum number of steps" << endl;
+    *output << "RelEpsTotalE\t" << config::RelEpsTotalEnergy << "\t# relative change in total energy" << endl;
+    *output << "RelEpsKineticE\t" << config::RelEpsKineticEnergy << "\t# relative change in kinetic energy" << endl;
+    *output << "MaxMinStopStep\t" << config::MaxMinStopStep << "\t# check every ..th steps" << endl;
+    *output << "MaxMinGapStopStep\t" << config::MaxMinGapStopStep << "\t# check every ..th steps" << endl;
+    *output << endl;
+    *output << "# Values specifying when to stop for INIT, otherwise same as above" << endl;
+    *output << "MaxInitMinStep\t" << config::MaxInitMinStep << "\t# Maximum number of steps" << endl;
+    *output << "InitRelEpsTotalE\t" << config::InitRelEpsTotalEnergy << "\t# relative change in total energy" << endl;
+    *output << "InitRelEpsKineticE\t" << config::InitRelEpsKineticEnergy << "\t# relative change in kinetic energy" << endl;
+    *output << "InitMaxMinStopStep\t" << config::InitMaxMinStopStep << "\t# check every ..th steps" << endl;
+    *output << "InitMaxMinGapStopStep\t" << config::InitMaxMinGapStopStep << "\t# check every ..th steps" << endl;
+    *output << endl;
+    *output << "BoxLength\t\t\t# (Length of a unit cell)" << endl;
+    *output << mol->cell_size[0] << "\t" << endl;
+    *output << mol->cell_size[1] << "\t" << mol->cell_size[2] << "\t" << endl;
+    *output << mol->cell_size[3] << "\t" << mol->cell_size[4] << "\t" << mol->cell_size[5] << "\t" << endl;
+    // FIXME
+    *output << endl;
+    *output << "ECut\t\t" << config::ECut << "\t# energy cutoff for discretization in Hartrees" << endl;
+    *output << "MaxLevel\t" << config::MaxLevel << "\t# number of different levels in the code, >=2" << endl;
+    *output << "Level0Factor\t" << config::Lev0Factor << "\t# factor by which node number increases from S to 0 level" << endl;
+    *output << "RiemannTensor\t" << config::RiemannTensor << "\t# (Use metric)" << endl;
+    switch (config::RiemannTensor) {
+      case 0: //UseNoRT
+        break;
+      case 1: // UseRT
+        *output << "RiemannLevel\t" << config::RiemannLevel << "\t# Number of Riemann Levels" << endl;
+        *output << "LevRFactor\t" << config::LevRFactor << "\t# factor by which node number increases from 0 to R level from" << endl;
+        break;
+    }
+    *output << "PsiType\t\t" << config::PsiType << "\t# 0 - doubly occupied, 1 - SpinUp,SpinDown" << endl;
+    // write out both types for easier changing afterwards
+  //  switch (PsiType) {
+  //    case 0:
+        *output << "MaxPsiDouble\t" << config::MaxPsiDouble << "\t# here: specifying both maximum number of SpinUp- and -Down-states" << endl;
+  //      break;
+  //    case 1:
+        *output << "PsiMaxNoUp\t" << config::PsiMaxNoUp << "\t# here: specifying maximum number of SpinUp-states" << endl;
+        *output << "PsiMaxNoDown\t" << config::PsiMaxNoDown << "\t# here: specifying maximum number of SpinDown-states" << endl;
+  //      break;
+  //  }
+    *output << "AddPsis\t\t" << config::AddPsis << "\t# Additional unoccupied Psis for bandgap determination" << endl;
+    *output << endl;
+    *output << "RCut\t\t" << config::RCut << "\t# R-cut for the ewald summation" << endl;
+    *output << "StructOpt\t" << config::StructOpt << "\t# Do structure optimization beforehand" << endl;
+    *output << "IsAngstroem\t" << config::IsAngstroem << "\t# 0 - Bohr, 1 - Angstroem" << endl;
+    *output << "RelativeCoord\t" << config::RelativeCoord << "\t# whether ion coordinates are relative (1) or absolute (0)" << endl;
+    *output << "MaxTypes\t" << mol->ElementCount <<  "\t# maximum number of different ion types" << endl;
+    *output << endl;
+    result = result && mol->Checkout(output);
+    if (mol->MDSteps <=1 )
+      result = result && mol->Output(output);
+    else
+      result = result && mol->OutputTrajectories(output);
+    output->close();
+    output->clear();
+    delete(output);
+    return result;
+  } else
+    return false;
 };
 
@@ -1087,112 +1395,112 @@
 bool config::SaveMPQC(const char *filename, molecule *mol) const
 {
-	int ElementNo = 0;
-	int AtomNo;
-	atom *Walker = NULL;
-	element *runner = NULL;
-	Vector *center = NULL;
-	ofstream *output = NULL;
-	stringstream *fname = NULL;
-
-	// first without hessian
-	fname = new stringstream;
-	*fname << filename << ".in";
-	output = new ofstream(fname->str().c_str(), ios::out);
-	*output << "% Created by MoleCuilder" << endl;
-	*output << "mpqc: (" << endl;
-	*output << "\tsavestate = no" << endl;
-	*output << "\tdo_gradient = yes" << endl;
-	*output << "\tmole<MBPT2>: (" << endl;
-	*output << "\t\tmaxiter = 200" << endl;
-	*output << "\t\tbasis = $:basis" << endl;
-	*output << "\t\tmolecule = $:molecule" << endl;
-	*output << "\t\treference<CLHF>: (" << endl;
-	*output << "\t\t\tbasis = $:basis" << endl;
-	*output << "\t\t\tmolecule = $:molecule" << endl;
-	*output << "\t\t)" << endl;
-	*output << "\t)" << endl;
-	*output << ")" << endl;
-	*output << "molecule<Molecule>: (" << endl;
-	*output << "\tunit = " << (IsAngstroem ? "angstrom" : "bohr" ) << endl;
-	*output << "\t{ atoms geometry } = {" << endl;
-	center = mol->DetermineCenterOfAll(output);
-	// output of atoms
-	runner = mol->elemente->start;
-	while (runner->next != mol->elemente->end) { // go through every element
-		runner = runner->next;
-		if (mol->ElementsInMolecule[runner->Z]) { // if this element got atoms
-			ElementNo++;
-			AtomNo = 0;
-			Walker = mol->start;
-			while (Walker->next != mol->end) { // go through every atom of this element
-				Walker = Walker->next;
-				if (Walker->type == runner) { // if this atom fits to element
-					AtomNo++;
-					*output << "\t\t" << Walker->type->symbol << " [ " << Walker->x.x[0]-center->x[0] << "\t" << Walker->x.x[1]-center->x[1] << "\t" << Walker->x.x[2]-center->x[2] << " ]" << endl;
-				}
-			}
-		}
-	}
-	delete(center);
-	*output << "\t}" << endl;
-	*output << ")" << endl;
-	*output << "basis<GaussianBasisSet>: (" << endl;
-	*output << "\tname = \""<< basis << "\"" << endl;
-	*output << "\tmolecule = $:molecule" << endl;
-	*output << ")" << endl;
-	output->close();
-	delete(output);
-	delete(fname);
-
-	// second with hessian
-	fname = new stringstream;
-	*fname << filename << ".hess.in";
-	output = new ofstream(fname->str().c_str(), ios::out);
-	*output << "% Created by MoleCuilder" << endl;
-	*output << "mpqc: (" << endl;
-	*output << "\tsavestate = no" << endl;
-	*output << "\tdo_gradient = yes" << endl;
-	*output << "\tmole<CLHF>: (" << endl;
-	*output << "\t\tmaxiter = 200" << endl;
-	*output << "\t\tbasis = $:basis" << endl;
-	*output << "\t\tmolecule = $:molecule" << endl;
-	*output << "\t)" << endl;
-	*output << "\tfreq<MolecularFrequencies>: (" << endl;
-	*output << "\t\tmolecule=$:molecule" << endl;
-	*output << "\t)" << endl;
-	*output << ")" << endl;
-	*output << "molecule<Molecule>: (" << endl;
-	*output << "\tunit = " << (IsAngstroem ? "angstrom" : "bohr" ) << endl;
-	*output << "\t{ atoms geometry } = {" << endl;
-	center = mol->DetermineCenterOfAll(output);
-	// output of atoms
-	runner = mol->elemente->start;
-	while (runner->next != mol->elemente->end) { // go through every element
-		runner = runner->next;
-		if (mol->ElementsInMolecule[runner->Z]) { // if this element got atoms
-			ElementNo++;
-			AtomNo = 0;
-			Walker = mol->start;
-			while (Walker->next != mol->end) { // go through every atom of this element
-				Walker = Walker->next;
-				if (Walker->type == runner) { // if this atom fits to element
-					AtomNo++;
-					*output << "\t\t" << Walker->type->symbol << " [ " << Walker->x.x[0]-center->x[0] << "\t" << Walker->x.x[1]-center->x[1] << "\t" << Walker->x.x[2]-center->x[2] << " ]" << endl;
-				}
-			}
-		}
-	}
-	delete(center);
-	*output << "\t}" << endl;
-	*output << ")" << endl;
-	*output << "basis<GaussianBasisSet>: (" << endl;
-	*output << "\tname = \"3-21G\"" << endl;
-	*output << "\tmolecule = $:molecule" << endl;
-	*output << ")" << endl;
-	output->close();
-	delete(output);
-	delete(fname);
-
-	return true;
+  int ElementNo = 0;
+  int AtomNo;
+  atom *Walker = NULL;
+  element *runner = NULL;
+  Vector *center = NULL;
+  ofstream *output = NULL;
+  stringstream *fname = NULL;
+
+  // first without hessian
+  fname = new stringstream;
+  *fname << filename << ".in";
+  output = new ofstream(fname->str().c_str(), ios::out);
+  *output << "% Created by MoleCuilder" << endl;
+  *output << "mpqc: (" << endl;
+  *output << "\tsavestate = no" << endl;
+  *output << "\tdo_gradient = yes" << endl;
+  *output << "\tmole<MBPT2>: (" << endl;
+  *output << "\t\tmaxiter = 200" << endl;
+  *output << "\t\tbasis = $:basis" << endl;
+  *output << "\t\tmolecule = $:molecule" << endl;
+  *output << "\t\treference<CLHF>: (" << endl;
+  *output << "\t\t\tbasis = $:basis" << endl;
+  *output << "\t\t\tmolecule = $:molecule" << endl;
+  *output << "\t\t)" << endl;
+  *output << "\t)" << endl;
+  *output << ")" << endl;
+  *output << "molecule<Molecule>: (" << endl;
+  *output << "\tunit = " << (IsAngstroem ? "angstrom" : "bohr" ) << endl;
+  *output << "\t{ atoms geometry } = {" << endl;
+  center = mol->DetermineCenterOfAll(output);
+  // output of atoms
+  runner = mol->elemente->start;
+  while (runner->next != mol->elemente->end) { // go through every element
+    runner = runner->next;
+    if (mol->ElementsInMolecule[runner->Z]) { // if this element got atoms
+      ElementNo++;
+      AtomNo = 0;
+      Walker = mol->start;
+      while (Walker->next != mol->end) { // go through every atom of this element
+        Walker = Walker->next;
+        if (Walker->type == runner) { // if this atom fits to element
+          AtomNo++;
+          *output << "\t\t" << Walker->type->symbol << " [ " << Walker->x.x[0]-center->x[0] << "\t" << Walker->x.x[1]-center->x[1] << "\t" << Walker->x.x[2]-center->x[2] << " ]" << endl;
+        }
+      }
+    }
+  }
+  delete(center);
+  *output << "\t}" << endl;
+  *output << ")" << endl;
+  *output << "basis<GaussianBasisSet>: (" << endl;
+  *output << "\tname = \"" << basis << "\"" << endl;
+  *output << "\tmolecule = $:molecule" << endl;
+  *output << ")" << endl;
+  output->close();
+  delete(output);
+  delete(fname);
+
+  // second with hessian
+  fname = new stringstream;
+  *fname << filename << ".hess.in";
+  output = new ofstream(fname->str().c_str(), ios::out);
+  *output << "% Created by MoleCuilder" << endl;
+  *output << "mpqc: (" << endl;
+  *output << "\tsavestate = no" << endl;
+  *output << "\tdo_gradient = yes" << endl;
+  *output << "\tmole<CLHF>: (" << endl;
+  *output << "\t\tmaxiter = 200" << endl;
+  *output << "\t\tbasis = $:basis" << endl;
+  *output << "\t\tmolecule = $:molecule" << endl;
+  *output << "\t)" << endl;
+  *output << "\tfreq<MolecularFrequencies>: (" << endl;
+  *output << "\t\tmolecule=$:molecule" << endl;
+  *output << "\t)" << endl;
+  *output << ")" << endl;
+  *output << "molecule<Molecule>: (" << endl;
+  *output << "\tunit = " << (IsAngstroem ? "angstrom" : "bohr" ) << endl;
+  *output << "\t{ atoms geometry } = {" << endl;
+  center = mol->DetermineCenterOfAll(output);
+  // output of atoms
+  runner = mol->elemente->start;
+  while (runner->next != mol->elemente->end) { // go through every element
+    runner = runner->next;
+    if (mol->ElementsInMolecule[runner->Z]) { // if this element got atoms
+      ElementNo++;
+      AtomNo = 0;
+      Walker = mol->start;
+      while (Walker->next != mol->end) { // go through every atom of this element
+        Walker = Walker->next;
+        if (Walker->type == runner) { // if this atom fits to element
+          AtomNo++;
+          *output << "\t\t" << Walker->type->symbol << " [ " << Walker->x.x[0]-center->x[0] << "\t" << Walker->x.x[1]-center->x[1] << "\t" << Walker->x.x[2]-center->x[2] << " ]" << endl;
+        }
+      }
+    }
+  }
+  delete(center);
+  *output << "\t}" << endl;
+  *output << ")" << endl;
+  *output << "basis<GaussianBasisSet>: (" << endl;
+  *output << "\tname = \"3-21G\"" << endl;
+  *output << "\tmolecule = $:molecule" << endl;
+  *output << ")" << endl;
+  output->close();
+  delete(output);
+  delete(fname);
+
+  return true;
 };
 
@@ -1203,10 +1511,10 @@
  * \warning value is modified (both in contents and position)!
  * \param verbose 1 - print found value to stderr, 0 - don't
- * \param file file to be parsed
+ * \param *file file to be parsed
  * \param name Name of value in file (at least 3 chars!)
  * \param sequential 1 - do not reset file pointer to begin of file, 0 - set to beginning
- *				(if file is sequentially parsed this can be way faster! However, beware of multiple values per line, as whole line is read -
- *				 best approach: 0 0 0 1 (not resetted only on last value of line) - and of yth, which is now
- *				 counted from this unresetted position!)
+ *        (if file is sequentially parsed this can be way faster! However, beware of multiple values per line, as whole line is read -
+ *         best approach: 0 0 0 1 (not resetted only on last value of line) - and of yth, which is now
+ *         counted from this unresetted position!)
  * \param xth Which among a number of parameters it is (in grid case it's row number as grid is read as a whole!)
  * \param yth In grid case specifying column number, otherwise the yth \a name matching line
